## inspector 1.0.0

=== DESCRIPTION ===
Package: inspector
Type: Package
Title: Validation of Arguments and Objects in User-Defined Functions
Version: 1.0.0
Authors@R: c(
  person("Pedro", "Fonseca", email = "pedro.teles.fonseca@phd.iseg.ulisboa.pt", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-5708-081X")),
  person(given = "FCT", role = "fnd"))
Description: Utility functions that implement and automate common sets of validation tasks. 
    These functions are particularly useful to validate inputs, intermediate objects and output 
    values in user-defined functions, resulting in tidier and less verbose functions.
License: MIT + file LICENSE
URL: https://pedro-teles-fonseca.github.io/inspector/,
        https://github.com/pedro-teles-fonseca/inspector
BugReports: https://github.com/pedro-teles-fonseca/inspector/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
Suggests: covr (>= 3.5.0), knitr (>= 1.28), rmarkdown (>= 2.1),
        testthat (>= 2.3.2), Rdpack (>= 0.7), pcal (>= 1.0.0)
RdMacros: Rdpack
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-09-02 05:15:51 UTC; pedro
Author: Pedro Fonseca [aut, cre] (<https://orcid.org/0000-0002-5708-081X>),
  FCT [fnd]
Maintainer: Pedro Fonseca <pedro.teles.fonseca@phd.iseg.ulisboa.pt>
Repository: CRAN
Date/Publication: 2020-09-09 10:10:02 UTC

## inspector 0.2.0

=== debian/changelog ===
inspector (0.2.0-1+salsaci+20251020+10) unstable; urgency=medium

  * Initial release (Closes: #1111026)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Wed, 13 Aug 2025 21:22:25 +0330

=== debian/control ===
Source: inspector
Section: utils
Priority: optional
Maintainer: Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
 meson,
 ninja-build,
 libgio-2.0-dev-bin,
 libglib2.0-bin,
 desktop-file-utils,
 gtk-update-icon-cache,
 dh-sequence-python3,
Standards-Version: 4.7.2
Homepage: https://github.com/Nokse22/inspector
Vcs-Browser: https://salsa.debian.org/amin_modaresi/inspector
Vcs-Git: https://salsa.debian.org/amin_modaresi/inspector.git

Package: inspector
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 usbutils,
 iproute2,
 pciutils,
 gir1.2-adw-1 (>= 1.6),
 gir1.2-gtk-4.0 (>= 4.16),
Description: GTK4 programme that gives information about your system
 A Gtk4 Libadwaita wrapper for various cli commands.
 The commands are already installed on any system usually.
 .
 Usb devices
 Disk
 Memory
 PCI devices
 Network
 CPU
 Motherboard and bios
 System and distro

=== debian/rules ===
#!/usr/bin/make -f

export GBP_BUILD_DIR ?= $(CURDIR)
ifneq (,$(GBP_GIT_EXPORT_DIR))
	GBP_BUILD_DIR := $(GBP_GIT_EXPORT_DIR)
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	mkdir -p debian/inspector/usr/share/metainfo
	mv debian/inspector/usr/share/appdata/*.xml debian/inspector/usr/share/metainfo/
	rmdir debian/inspector/usr/share/appdata

=== debian/watch ===
version=4
https://github.com/Nokse22/inspector/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## inspector 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: inspector
 Type: Package
 Title: Validation of Arguments and Objects in User-Defined Functions
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
   person("Pedro", "Fonseca", email = "pedro.teles.fonseca@phd.iseg.ulisboa.pt", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-5708-081X")),
   person(given = "FCT", role = "fnd"))
@@ -15,14 +15,15 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 2.10)
+Imports: Rdpack (>= 0.7)
 Suggests: covr (>= 3.5.0), knitr (>= 1.28), rmarkdown (>= 2.1),
-        testthat (>= 2.3.2), Rdpack (>= 0.7), pcal (>= 1.0.0)
+        testthat (>= 2.3.2), pcal (>= 1.0.0)
 RdMacros: Rdpack
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-09-02 05:15:51 UTC; pedro
+Packaged: 2020-09-16 21:40:28 UTC; pedro
 Author: Pedro Fonseca [aut, cre] (<https://orcid.org/0000-0002-5708-081X>),
   FCT [fnd]
 Maintainer: Pedro Fonseca <pedro.teles.fonseca@phd.iseg.ulisboa.pt>
 Repository: CRAN
-Date/Publication: 2020-09-09 10:10:02 UTC
+Date/Publication: 2020-09-16 23:10:08 UTC

## inspector 1.0.2

=== DESCRIPTION ===
Package: inspector
Type: Package
Title: Validation of Arguments and Objects in User-Defined Functions
Version: 1.0.2
Authors@R: c(
  person("Pedro", "Fonseca", email = "pedro.teles.fonseca@phd.iseg.ulisboa.pt", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-5708-081X")),
  person(given = "FCT", role = "fnd"))
Description: Utility functions that implement and automate common sets of validation tasks. 
    These functions are particularly useful to validate inputs, intermediate objects and output 
    values in user-defined functions, resulting in tidier and less verbose functions.
License: MIT + file LICENSE
URL: https://ptfonseca.github.io/inspector/,
        https://github.com/ptfonseca/inspector
BugReports: https://github.com/ptfonseca/inspector/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
Imports: Rdpack (>= 0.7)
Suggests: covr (>= 3.5.0), knitr (>= 1.28), rmarkdown (>= 2.1),
        testthat (>= 2.3.2), pcal (>= 1.0.0)
RdMacros: Rdpack
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-11-16 05:16:34 UTC; pedro
Author: Pedro Fonseca [aut, cre] (<https://orcid.org/0000-0002-5708-081X>),
  FCT [fnd]
Maintainer: Pedro Fonseca <pedro.teles.fonseca@phd.iseg.ulisboa.pt>
Repository: CRAN
Date/Publication: 2020-11-16 08:10:06 UTC

## inspector 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: inspector
 Type: Package
 Title: Validation of Arguments and Objects in User-Defined Functions
-Version: 1.0.2
+Version: 1.0.3
 Authors@R: c(
   person("Pedro", "Fonseca", email = "pedro.teles.fonseca@phd.iseg.ulisboa.pt", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-5708-081X")),
   person(given = "FCT", role = "fnd"))
@@ -13,7 +13,6 @@
         https://github.com/ptfonseca/inspector
 BugReports: https://github.com/ptfonseca/inspector/issues
 Encoding: UTF-8
-LazyData: true
 Depends: R (>= 2.10)
 Imports: Rdpack (>= 0.7)
 Suggests: covr (>= 3.5.0), knitr (>= 1.28), rmarkdown (>= 2.1),
@@ -21,9 +20,9 @@
 RdMacros: Rdpack
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-11-16 05:16:34 UTC; pedro
+Packaged: 2021-06-17 18:34:03 UTC; pedro
 Author: Pedro Fonseca [aut, cre] (<https://orcid.org/0000-0002-5708-081X>),
   FCT [fnd]
 Maintainer: Pedro Fonseca <pedro.teles.fonseca@phd.iseg.ulisboa.pt>
 Repository: CRAN
-Date/Publication: 2020-11-16 08:10:06 UTC
+Date/Publication: 2021-06-17 19:00:02 UTC
